Summary:	DirectFB example programs (demos)
Summary(pl.UTF-8):	Programy przykładowe (demonstracyjne) do DirectFB
Name:		DirectFB-examples
Version:	1.7.0
Release:	4
License:	MIT
Group:		Applications/Graphics
Source0:	http://www.directfb.org/downloads/Extras/%{name}-%{version}.tar.gz
# Source0-md5:	8b60c867af295481c32a8c7fc5802307
URL:		http://www.directfb.org/
BuildRequires:	DirectFB-devel >= 1:1.6.0
BuildRequires:	automake
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
Requires:	DirectFB >= 1:1.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DirectFB example programs (demos). See README for description of
each program.

%description -l pl.UTF-8
Programy przykładowe (demonstracyjne) do DirectFB. Opis poszczególnych
programów znajduje się w pliku README.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/df_*
%attr(755,root,root) %{_bindir}/pss
%attr(755,root,root) %{_bindir}/spacedream
%{_datadir}/directfb-examples
%changelog
* Wed Oct 08 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/DirectFB-examples.git;a=log;h=master

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d95e677
- release 4 (by relup.sh)

* Sun Mar 16 2014 Jan Rękorajski <baggins@pld-linux.org> 67dbd52
- rebuild with DirectFB 1.7.2
- release 3 (by relup.sh)

* Mon Nov 04 2013 Jan Rękorajski <baggins@pld-linux.org> 5ab08fd
- release 2 (by relup.sh)

* Sat Jul 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 94b130d
- BR: zlib-devel
- disable silent-rules

* Fri Jul 19 2013 Jan Rękorajski <baggins@pld-linux.org> 96c4206
- up to 1.7.0

* Sat Oct 06 2012 Jan Rękorajski <baggins@pld-linux.org> ad393d7
- rebuild with DirectFB 1.6.x
- release 2 (by relup.sh)

* Sat Jun 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 4131a3c
- updated to 1.6.0

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d24c71
- release 2

* Wed Aug 03 2011 Jakub Bogusz <qboosh@pld-linux.org> ff0690e
- updated to 1.5.2

* Sat Feb 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ae10486
- release 3

* Wed Oct 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> fc225f3
- release 2

* Thu Sep 04 2008 Jakub Bogusz <qboosh@pld-linux.org> a064dbb
- updated to 1.2.0

* Sun Mar 11 2007 Jakub Bogusz <qboosh@pld-linux.org> ebfd679
- updated to 1.0.0

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 864deec
- tabs in preamle

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8647780
- converted to UTF-8

* Sat May 20 2006 Jakub Bogusz <qboosh@pld-linux.org> 337463b
- updated to 0.9.25

* Sun Oct 23 2005 Jakub Bogusz <qboosh@pld-linux.org> 234878c
- updated to 0.9.23

* Fri Mar 04 2005 Jakub Bogusz <qboosh@pld-linux.org> e902212
- updated to 0.9.22

* Tue Jan 11 2005 Jakub Bogusz <qboosh@pld-linux.org> 619ddf9
- BR: automake (for config.sub)

* Tue Jan 11 2005 Jakub Bogusz <qboosh@pld-linux.org> e4c4426
- updated to 0.9.21
- don't touch autoconf when the rest of ac/am is untouched

